//Definitions.
 #include "fftc.h"
 
#define SYS_FREQ 	40000000L
#define SAMPLE_RATE 48000
#define FRAME_SIZE 	(SAMPLE_RATE/1000)
#define RODIV_V		3
#define REFTRIM		464

#define	SINTABLE_LEN	512
#define	DATA_READ_LEN	1200

#define PI 3.1415926535896
#define fftc fft32c1024 // from fftc.h
 #define LOG2FFTLEN 10
 
 #define FFTLEN (1<<LOG2FFTLEN)
 #define LOG2FFTLENHALF (LOG2FFTLEN-1)
 #define FFTLENHALF (FFTLEN/2)


void main_init (void);
void WindowBlackmanHarrisInit(int32 *pas32,int nLen);

